[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: guile-1.7 latest cvs and load-extension

From: Bill Gribble
Subject: Re: guile-1.7 latest cvs and load-extension
Date: 07 Nov 2001 07:05:49 -0600

On Wed, 2001-11-07 at 04:30, Thien-Thi Nguyen wrote:
> possibly libgtrees is not installed, or your system's /etc/
> (or .cache or both) is stale, or there are env vars *_LIBRARY_PATH
> interfering, or guile's embedded libltdl is not playing nice w/ the
> system's, or libgtrees was built wrongly.

... where "built wrongly" could possibly mean that it was not linked
against all the libraries it requires.  You can't dlopen a library that
has unresolved symbols unless you have already loaded libraries that
contain their definitions, and if you try, "file not found" is the error
you get.  So if requires glib or some other library that
guile doesn't use, you need to make sure to add that library to
libgtrees' LIBADD. 


reply via email to

[Prev in Thread] Current Thread [Next in Thread]